package pl.edu.icm.unicore.uvos.server.saml;

import java.util.List;
import pl.edu.icm.unicore.uvos.api.Attribute;

/**
 * An attribute filter. Lets through only attributes allowed by configuration.
 * Filtering (calling filter(List) method) happens only if the user has no administrative privileges.
 * @author K. Stasiak
 */
public interface AttributeFilter 
{
	/**
	 * Returns only those attributes from the unfiltered list
	 * which satisfy conditions.
	 * The conditions depend on implementation.
	 * @param attribs unfiltered attribute list
	 * @return filtered attribute list
	 */
	List<Attribute>filter(List<Attribute> attribs);
}
